package cn.com.qmth.sdk.test;

import org.apache.commons.io.IOUtils;

import cn.com.qmth.sdk.request.OuterSaveExamReq;
import cn.com.qmth.sdk.util.DateUtil;
import cn.com.qmth.sdk.util.DateUtil.DatePatterns;
import cn.com.qmth.sdk.util.HttpMethod;
import cn.com.qmth.sdk.util.JsonUtil;
import cn.com.qmth.sdk.util.OKHttpUtil;
import cn.com.qmth.sdk.util.QmthUtil;
import okhttp3.Response;

public class SaveExam {

	public static void main(String[] args) {

		OuterSaveExamReq reqBody = new OuterSaveExamReq();
		reqBody.setRootOrgId(QmthUtil.getRootOrgId());
		reqBody.setBeginTime(DateUtil.parse("2018-12-10 08:00:00", DatePatterns.ISO));
		reqBody.setEndTime(DateUtil.parse("2050-12-10 08:00:00", DatePatterns.ISO));
		reqBody.setDuration(120);
		reqBody.setExamTimes(3L);
		reqBody.setExamType("ONLINE");
		reqBody.setName("测试");
		reqBody.setRemark("测试...");

		String url = QmthUtil.buildUrl("/api/exchange/outer/exam/saveExam");
		Response resp = null;
		try {
			resp = OKHttpUtil.call(HttpMethod.POST, url, QmthUtil.getSecurityHeaders(),
					JsonUtil.toJson(reqBody));
			System.out.println(resp.code());
			System.out.println(resp.body().string());
		} catch (Exception e) {
			e.printStackTrace();
		} finally {
			IOUtils.closeQuietly(resp);
		}
	}
}
